Skip to main content
GET
/
v1
/
podcasts
/
advertising
/
sponsors
/
{id}
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
  "https://api.particle.pro/v1/podcasts/advertising/sponsors/{id}"
{
  "ad_count": 123,
  "episode_reach": 123,
  "id": "<string>",
  "name": "<string>",
  "podcast_reach": 123,
  "company": {
    "id": "<string>",
    "name": "<string>",
    "image_url": "<string>"
  },
  "first_seen_at": "2023-11-07T05:31:56Z",
  "last_seen_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

Pass your API key in the X-API-Key header (recommended).

Path Parameters

id
string
required

Sponsor ID, company ID, company domain, or company slug. When a company reference matches multiple sponsor aliases, the most-recently-active sponsor is returned.

Query Parameters

since
string

Only include ads from episodes published on or after this ISO 8601 date or date-time

Example:

"2025-01-01T00:00:00Z"

until
string

Only include ads from episodes published before this ISO 8601 date or date-time

Example:

"2026-01-01T00:00:00Z"

Response

OK

ad_count
integer<int64>
required

Total number of ads (excluding network promos)

episode_reach
integer<int64>
required

Number of distinct episodes featuring the sponsor

id
string
required

Unique identifier

name
string
required

Sponsor name

podcast_reach
integer<int64>
required

Number of distinct podcasts the sponsor advertises on

company
object

Linked company record

first_seen_at
string<date-time>

Earliest detected ad appearance

last_seen_at
string<date-time>

Most recent ad appearance